Bug 2150045 - Remove initial-setup from KDE Spin & Kinoite
Summary: Remove initial-setup from KDE Spin & Kinoite
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timothée Ravier
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38Changes
TreeView+ depends on / blocked
 
Reported: 2022-12-01 17:57 UTC by Ben Cotton
Modified: 2023-04-18 14:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-18 14:06:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2022-12-01 17:57:10 UTC
This is a tracking bug for Change: Remove initial-setup from KDE Spin & Kinoite
For more details, see: https://fedoraproject.org/wiki/Changes/KDERemoveInitialSetup

Initial Setup is an application that can run during the first start of a newly installed computer and makes it possible to configure the computer according to the needs of the user. We currently don't use most of the functionality of Initial Setup in the main KDE Spin and Kinoite installation ISOs as everything gets configured at installation time via Anaconda. We thus want to remove this package from the installation ISOs while keeping it where we currently need it (pre-installed disk images, etc.). Note that an "initial setup" app is still needed to enable OEM-style installations (https://askubuntu.com/questions/1386806/what-is-oem-installation-regarding-linux-distributions) of the KDE Spin/Kinoite (like Fedora Workstation/Silverblue) so we're planning on introducing a more KDE native application as a replacement once it is ready, but that may not happen as part of this change.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2023-02-07 14:27:33 UTC
Today we reached the Code Complete (Testable) milestone on the F38 schedule: https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

At this time, all F38 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F39, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 2 Timothée Ravier 2023-02-08 17:22:04 UTC
This has been completed for Kinoite. The change for the KDE Spin is still to be done but not as strictly required. It might still happen soon.

Comment 3 Ben Cotton 2023-02-21 21:59:50 UTC
Today we reached the Code Complete (100% complete) milestone on the F38 schedule: https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

At this time, all F38 Changes should be 100% complete. You can indicate this by setting this tracker to the ON_QA status. If you need to defer this Change to F39 please NEEDINFO me.

Note that we are entering the Beta freeze. Additional package changes to complete this Change will need an approved blocker or freeze exception. See https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process and https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process for more information.

Changes that have not reached the ON_QA status will be given to FESCo for evaluation of contingency plans.

Comment 4 Timothée Ravier 2023-02-23 11:54:29 UTC
We've partially completed this change. The missing parts will be for a future release.

Completed parts:
- Remove initial-setup from Kinoite (was unused there)

Missing parts:
- Remove initial-setup from KDE Spin
- Setup another OEM configuration tool instead of initial-setup for both KDE Spin & Kinoite


Note You need to log in before you can comment on or make changes to this bug.